using System;
using System.Configuration;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;
using Telerik.Web.UI;

public partial class _Default : System.Web.UI.Page
{

    protected void Page_Load(object sender, EventArgs e)
    {

    }

    protected void Page_Init(object sender, EventArgs e)
    {

    }
    protected void grdTicket_NeedDataSource(object source, GridNeedDataSourceEventArgs e)
    {
        DataSet ds = new DataSet();
        DataTable dt = new DataTable();
        dt.Columns.Add("UserId");

        for (int i = 0; i < 15; i++)
        {
            DataRow dr;
            dr = dt.NewRow();
            dr["UserId"] = "XYZ" + i.ToString();
            dt.Rows.Add(dr);
        }

        ds.Tables.Add(dt);
        grdTicket.DataSource = ds;
    }

    protected void grdTicket_PreRender(object sender, EventArgs e)
    {
        grdTicket.SelectedIndexes.Add(0);
    }
}
